camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Claus Ibsen <claus.ib...@gmail.com>
Subject Re: Spring 3.0.0 supports in Camel
Date Wed, 23 Dec 2009 08:00:33 GMT
Good start.

Dejan created a ticket in AMQ to get it working with Spring 3.0.

And I think camel-jms depends on some API in 2.5 that was @deprecated.
So we should take a 2nd look and mark it public as @deprecated as well
in Camel 2.2.


On Tue, Dec 22, 2009 at 3:36 PM, Willem Jiang <willem.jiang@gmail.com> wrote:
> Hi,
>
> I just committed a spring-3.0 profile in trunk/parent/pom.xml.
> You can build the camel with spring 3.0.0 by using -Pspring-3.0
> I just run some test in camel-core , camel-spring and camel-jms.
> There about 4~5 tests are failed in camel-spring, and lots of tests failed
> in camel-jms.
>
> For the camel-spring-configure, as the spring java configure is a part of
> spring framework, lots changes there, we need to do change the
> camel-spring-configure code.
> So we can't support spring 3.0 and spring 2.x at the same time in
> camel-spring-configure.
>

Yeah but Spring 3.0 have java config build in, so I think we may need
a new component to support spring 3.0 and keep the one for 2.5.

> For camel-spring-integration, it can run with spring 3.0 and spring 2.x and
> the same time.
>
> Any thought?


>
> Willem
>



-- 
Claus Ibsen
Apache Camel Committer

Author of Camel in Action: http://www.manning.com/ibsen/
Open Source Integration: http://fusesource.com
Blog: http://davsclaus.blogspot.com/
Twitter: http://twitter.com/davsclaus

Mime
View raw message